> ## Documentation Index
> Fetch the complete documentation index at: https://docs.allyy.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get export configurations



## OpenAPI

````yaml get /api/recommendation/v1.0/customer/{customerId}/{exportType}/ExportConfiguration
openapi: 3.0.1
info:
  title: Recommendation Api v1.0
  version: v1.0
servers:
  - url: https://app.allyy.io
security: []
paths:
  /api/recommendation/v1.0/customer/{customerId}/{exportType}/ExportConfiguration:
    get:
      tags:
        - ExportConfiguration
      parameters:
        - name: exportType
          in: path
          required: true
          description: 'Export configuration type: `prediction` or `decision`'
          schema:
            type: string
        - name: customerId
          in: path
          required: true
          schema:
            type: string
            format: uuid
        - name: search
          in: query
          schema:
            type: string
        - name: dataSetIds
          in: query
          schema:
            type: array
            items:
              type: string
              format: uuid
        - name: modelType
          in: query
          schema:
            $ref: '#/components/schemas/ModelType'
        - name: destination
          in: query
          schema:
            type: array
            items:
              type: integer
              format: int32
        - name: orderBy
          in: query
          schema:
            type: string
        - name: orderByDesc
          in: query
          schema:
            type: boolean
        - name: take
          in: query
          schema:
            type: integer
            format: int32
        - name: skip
          in: query
          schema:
            type: integer
            format: int32
        - name: version
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ExportConfigurationMultipleResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/ExportConfigurationMultipleResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/ExportConfigurationMultipleResponse'
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
      security:
        - oauth2:
            - oneprediction_api
components:
  schemas:
    ModelType:
      enum:
        - 4
        - 6
        - 7
        - 8
        - 9
      type: integer
      format: int32
    ExportConfigurationMultipleResponse:
      type: object
      properties:
        meta:
          $ref: '#/components/schemas/Metadata'
        data:
          type: array
          items:
            $ref: '#/components/schemas/ExportConfiguration'
          nullable: true
        totalItemsCount:
          type: integer
          format: int32
      additionalProperties: false
    Metadata:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/Error'
          nullable: true
        validation:
          type: array
          items:
            $ref: '#/components/schemas/ValidationError'
          nullable: true
        info:
          type: object
          additionalProperties:
            nullable: true
          nullable: true
      additionalProperties: false
    ExportConfiguration:
      type: object
      properties:
        id:
          type: string
          format: uuid
        datasetId:
          type: string
          format: uuid
        dataset:
          type: string
          nullable: true
        predictionConfigurationIds:
          type: array
          items:
            type: string
            format: uuid
          nullable: true
        contactTypeIds:
          type: array
          items:
            type: string
            format: uuid
          nullable: true
        customerId:
          type: string
          format: uuid
        name:
          type: string
          nullable: true
        rankingRule:
          $ref: '#/components/schemas/ExportRankingRule'
        predictionScoresPerContactCount:
          type: integer
          format: int32
          nullable: true
        predictionScoresPerContactPerClassCount:
          type: array
          items:
            $ref: '#/components/schemas/PredictionScoresPerContactPerClassCount'
          nullable: true
        webhookName:
          type: string
          nullable: true
        destination:
          $ref: '#/components/schemas/ExportDestination'
        bigQueryDestination:
          $ref: '#/components/schemas/BigQueryDestination'
        activeCampaignDestination:
          $ref: '#/components/schemas/ActiveCampaignDestination'
        agillicDestination:
          $ref: '#/components/schemas/AgillicDestination'
        microsoftSqlServerDestination:
          $ref: '#/components/schemas/MicrosoftSqlServerDestination'
        sftpServerDestination:
          $ref: '#/components/schemas/SftpServerDestination'
        googleCloudStorageDestination:
          $ref: '#/components/schemas/GoogleCloudStorageDestination'
        microsoftDynamicsDestination:
          $ref: '#/components/schemas/MicrosoftDynamicsDestination'
        scoreAggregationFields:
          type: array
          items:
            $ref: '#/components/schemas/ExportDisplayField'
          nullable: true
        displayFieldMappings:
          type: array
          items:
            $ref: '#/components/schemas/ExportDisplayFieldMapping'
          nullable: true
      additionalProperties: false
    Error:
      type: object
      properties:
        code:
          type: string
          nullable: true
        message:
          type: string
          nullable: true
      additionalProperties: false
    ValidationError:
      type: object
      properties:
        property:
          type: string
          nullable: true
        message:
          type: string
          nullable: true
      additionalProperties: false
    ExportRankingRule:
      type: object
      properties:
        sortingFields:
          type: array
          items:
            $ref: '#/components/schemas/ExportSortingField'
          nullable: true
        previousExportsFilter:
          $ref: '#/components/schemas/ExportCriteria'
        previousResponseFilter:
          type: array
          items:
            $ref: '#/components/schemas/ResponseCriteria'
          nullable: true
      additionalProperties: false
    PredictionScoresPerContactPerClassCount:
      type: object
      properties:
        className:
          type: string
          nullable: true
        predictionScoresPerClassCount:
          type: integer
          format: int32
      additionalProperties: false
    ExportDestination:
      enum:
        - 1
        - 2
        - 3
        - 4
        - 5
        - 6
        - 7
        - 8
        - 9
        - 10
      type: integer
      format: int32
    BigQueryDestination:
      type: object
      properties:
        serviceAccountKey:
          type: string
          nullable: true
        projectId:
          type: string
          nullable: true
        datasetId:
          type: string
          nullable: true
        table:
          type: string
          nullable: true
        writeMode:
          $ref: '#/components/schemas/DestinationWriteMode'
      additionalProperties: false
    ActiveCampaignDestination:
      type: object
      properties:
        url:
          type: string
          nullable: true
        secret:
          type: string
          nullable: true
        prefix:
          type: string
          nullable: true
        lists:
          type: array
          items:
            type: string
          nullable: true
      additionalProperties: false
    AgillicDestination:
      type: object
      properties:
        developerKey:
          type: string
          nullable: true
        secret:
          type: string
          nullable: true
        table:
          type: string
          nullable: true
      additionalProperties: false
    MicrosoftSqlServerDestination:
      type: object
      properties:
        host:
          type: string
          nullable: true
        userId:
          type: string
          nullable: true
        password:
          type: string
          nullable: true
        database:
          type: string
          nullable: true
        table:
          type: string
          nullable: true
        isActiveDirectoryAuthentication:
          type: boolean
      additionalProperties: false
    SftpServerDestination:
      type: object
      properties:
        host:
          type: string
          nullable: true
        username:
          type: string
          nullable: true
        password:
          type: string
          nullable: true
        portNumber:
          type: integer
          format: int32
        fingerprint:
          type: string
          nullable: true
        path:
          type: string
          nullable: true
      additionalProperties: false
    GoogleCloudStorageDestination:
      type: object
      properties:
        fileUrl:
          type: string
          nullable: true
        serviceAccountKey:
          type: string
          nullable: true
      additionalProperties: false
    MicrosoftDynamicsDestination:
      type: object
      properties:
        tenantId:
          type: string
          format: uuid
        clientId:
          type: string
          format: uuid
        organizationUrl:
          type: string
          nullable: true
        secret:
          type: string
          nullable: true
        entity:
          type: string
          nullable: true
        entityCollectionName:
          type: string
          nullable: true
        contactRelationshipSchemaName:
          type: string
          nullable: true
      additionalProperties: false
    ExportDisplayField:
      type: object
      properties:
        alias:
          type: string
          nullable: true
        entityType:
          $ref: '#/components/schemas/EntityType'
        fieldType:
          $ref: '#/components/schemas/DisplayFieldType'
      additionalProperties: false
    ExportDisplayFieldMapping:
      type: object
      properties:
        displayField:
          $ref: '#/components/schemas/ExportDisplayField'
        destinationName:
          type: string
          nullable: true
      additionalProperties: false
    ExportSortingField:
      type: object
      properties:
        displayField:
          $ref: '#/components/schemas/ExportDisplayField'
        direction:
          $ref: '#/components/schemas/SortDirection'
      additionalProperties: false
    ExportCriteria:
      type: object
      properties:
        appearancesCount:
          type: integer
          format: int32
        daysCount:
          type: integer
          format: int32
          nullable: true
      additionalProperties: false
    ResponseCriteria:
      type: object
      properties:
        responseTypeId:
          type: string
          format: uuid
        categoricalValueId:
          type: string
          format: uuid
          nullable: true
        boolValue:
          type: boolean
          nullable: true
        numericValue:
          type: number
          format: double
          nullable: true
        operator:
          $ref: '#/components/schemas/NumericResponseOperator'
        daysCount:
          type: integer
          format: int32
          nullable: true
        occurrencesCount:
          type: integer
          format: int32
          nullable: true
      additionalProperties: false
    DestinationWriteMode:
      enum:
        - 1
        - 2
      type: integer
      format: int32
    EntityType:
      enum:
        - 1
        - 2
        - 3
        - 4
        - 5
        - 6
        - 7
        - 8
        - 9
        - 11
        - 12
        - 13
        - 14
        - 17
        - 18
        - 19
      type: integer
      format: int32
    DisplayFieldType:
      enum:
        - 0
        - 1
        - 2
        - 3
        - 4
        - 5
      type: integer
      format: int32
    SortDirection:
      enum:
        - 0
        - 1
      type: integer
      format: int32
    NumericResponseOperator:
      enum:
        - 1
        - 2
        - 3
        - 4
      type: integer
      format: int32
  securitySchemes:
    oauth2:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: https://app.allyy.io/api/authentication/connect/authorize
          scopes:
            allyy_api: Allyy API - full access

````